RESTinio

Public Member Functions | List of all members
restinio::easy_parser::impl::is_hexdigit_predicate_t Struct Reference

A predicate for cases where char to be expected to be a hexadecimal digit. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::is_hexdigit_predicate_t:

## Public Member Functions
RESTINIO_NODISCARD bool | operator() (const char actual) const noexcept

## Detailed Description

A predicate for cases where char to be expected to be a hexadecimal digit.

Since
  v.0.6.6

Definition at line 718 of file easy_parser.hpp.

## Member Function Documentation

## ◆ operator()()

RESTINIO_NODISCARD bool restinio::easy_parser::impl::is_hexdigit_predicate_t::operator() | ( | const char | actual | ) | const
| inline noexcept

Definition at line 722 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp